/* -*- ObjC -*- */
#ifndef __included_mozzie_h
#define __included_mozzie_h

#include "unit.h"
#include "units/hatch.h"
#include "waypoint.h"
#include "weapon.h"

#define MOZZIE_STEPS		100

@interface Mozzie: Unit
{
    waypoint_t *the_path;
    int path_progress;
    int path_x_displacement, path_y_displacement;

    Weapon *gun;

    Unit *target;
}
- (void) dealloc;
- (BOOL) generatePath;
- (void) freePathSpline;
@end

@interface MozzieHatch: Hatch
@end

#endif
